Apache Struts API Documentation: Class ActionMappingBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionMappingBase

    java.lang.Object
      |
      +--org.apache.struts.action.ActionMapping
            |
            +--org.apache.struts.action.ActionMappingBase

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Now that ActionMapping is a class, you should use it intead

public class ActionMappingBase
extends ActionMapping

A minimal implementation of ActionMapping that contains only the required properties. Additional properties can be provided by subclassing this class and adding new "getter" and "setter" methods.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Fields inherited from class org.apache.struts.action.ActionMapping
`attribute, forward, forwards, include, input, instance, mappings, multipartClass, name, parameter, path, prefix, scope, suffix, type, unknown, validate`

Constructor Summary
`ActionMappingBase()` Deprecated.

Methods inherited from class org.apache.struts.action.ActionMapping
`addForward, createFormInstance, findForward, findForwards, getActionClass, getAttribute, getFormAttribute, getFormClass, getFormPrefix, getFormScope, getFormSuffix, getForward, getInclude, getInput, getInputForm, getMappings, getMultipartClass, getName, getParameter, getPath, getPrefix, getScope, getSuffix, getType, getUnknown, getValidate, removeForward, setActionClass, setAttribute, setFormAttribute, setFormClass, setFormPrefix, setFormScope, setFormSuffix, setForward, setInclude, setInput, setInputForm, setMappings, setMultipartClass, setName, setParameter, setPath, setPrefix, setScope, setSuffix, setType, setUnknown, setValidate, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Constructor Detail

### ActionMappingBase

    public ActionMappingBase()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation